
Name:           guiloader
Version:        2.10.0
Release:        0.1
Summary:        A high-performance and compact GuiXml loader library
Vendor:		      The Crow Designer Project

Group:          System Environment/Libraries
License:        LGPL
URL:            http://crow-designer.sourceforge.net
Source0:        http://dl.sourceforge.net/crow-designer/%{name}-2.10.0.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv:    no

Requires:       glib2 >= 2.12.0
Requires:       gtk2 >= 2.10.0

BuildRequires:  glib2-devel >= 2.12.0
BuildRequires:  gtk2-devel >= 2.10.0


%description
GuiLoader is a high-performance and compact GuiXml loader library. This library allows GTK+ applications to create GUI widgets and objects at run-time from GuiXml resource files. GuiLoader is written in the C language as a GObject subclass and has a trivial language-independent API. GuiLoader was designed to be easily wrapped for any language that has GTK+ bindings.


%package devel
Summary:        Headers for developing programs that will use GuiLoader
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       pkgconfig


%description devel
This package contains the header files needed for developing GuiLoader applications.


%prep
%setup -q -n %{name}-2.10.0


%build
%configure --disable-static --disable-dependency-tracking --enable-hiddenvisibility
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README NEWS
%{_libdir}/lib%{name}.so


%files devel
%defattr(-, root, root, -)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

